Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hsmf.extractor
Class OutlookTextExtactor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hsmf.extractor.OutlookTextExtactor

    public class OutlookTextExtactor

extends POIOLE2TextExtractor

A text extractor for HSMF (Outlook) .msg files. Outputs in a format somewhat like a plain text email.

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`OutlookTextExtactor(DirectoryNode poifsDir, POIFSFileSystem fs)`
`OutlookTextExtactor(java.io.InputStream inp)`
`OutlookTextExtactor(MAPIMessage msg)`
`OutlookTextExtactor(POIFSFileSystem fs)`

Method Summary
`MAPIMessage` | `getMAPIMessage()` Returns the underlying MAPI message
`java.lang.String` | `getText()` Outputs something a little like a RFC822 email
`protected void` | `handleEmails(java.lang.StringBuffer s, java.lang.String type, java.lang.String displayText, StringUtil.StringsIterator emails)` Takes a Display focused string, eg "Nick; Jim" and an iterator of emails, and does its best to return something like "Nick ; Jim "

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getSummaryInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutlookTextExtactor

    public OutlookTextExtactor(MAPIMessage msg)

### OutlookTextExtactor

    public OutlookTextExtactor(DirectoryNode poifsDir,
                               POIFSFileSystem fs)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(POIFSFileSystem fs)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### OutlookTextExtactor

    public OutlookTextExtactor(java.io.InputStream inp)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getMAPIMessage

    public MAPIMessage getMAPIMessage()

  Returns the underlying MAPI message

### getText

    public java.lang.String getText()

  Outputs something a little like a RFC822 email

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### handleEmails

    protected void handleEmails(java.lang.StringBuffer s,
                                java.lang.String type,
                                java.lang.String displayText,
                                StringUtil.StringsIterator emails)

  Takes a Display focused string, eg "Nick; Jim" and an iterator of emails, and does its best to return something like "Nick ; Jim "

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.